#pragma language glsl3
#ifdef VERTEX

uniform mat4 MVP;
uniform mat4 modelMatrix;

out vec3 vpos;

vec4 position(mat4 transform_projection, vec4 vertex_position) {

  return  MVP*vec4( vertex_position.xyz,1);

}
#endif

#ifdef PIXEL

in vec3 vpos;


vec4 effect(vec4 color, sampler2D texturee, vec2 textureCoords, vec2 screen_coords) {
  vec4 texel = Texel(texturee,textureCoords);

  // if (texel.a==1){
  //  return vec4(1);
  // }else{
  //  discard;
  // }

  return vec4(gl_FragDepth);

}
#endif












